Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.

From: Po Lu <[email-masked]>
Date: Mon, 26 Sep 2022 08:15:42 +0800

Tino Calancha <[email-masked]> writes:

> I am sorry, I was running on X11:

Yes, that's what I expected.

> $ inxi -Gxx | grep compositor
> Display: x11 server: X.Org 1.20.3 compositor: kwin_x11 driver: loaded: qxl
>
> I have restarted the session, now on Wayland:
> $ inxi -Gxx | grep compositor
>   compositor: kwin_wayland driver: loaded: qxl
>
> Under Wayland:
> - My patch fixes the issue.
> - Your patch doesn't fix it.

What if you use GNOME Shell?  The problem is no window state changes are
normally sent by GDK under Wayland, so Emacs doesn't even get to the
piece of code that clears FRAME_ICONIFIED_P.